Return all form ids
curl --request GET \
--url https://api.symmetry.com/spf/getAllFormIds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symmetry.com/spf/getAllFormIds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symmetry.com/spf/getAllFormIds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"W4101",
"W4101SP",
"W6101",
"W8101",
"AL101",
"AL101SP",
"AL103",
"AR101",
"AR102",
"AR103",
"AR104",
"AR105",
"AZ101",
"AZ102",
"AZ103",
"AZ107",
"CA101",
"CA102",
"CO102",
"CT101",
"CT102",
"DC101",
"DC102",
"DE101",
"DE102",
"DE103",
"GA101",
"HI101",
"HI103",
"IA101",
"IA101SP",
"IA102",
"ID101",
"ID102",
"IL101",
"IL102",
"IN101",
"IN102",
"IN104",
"KS101",
"KS102",
"KY101",
"LA101",
"LA102",
"MA101",
"MA102",
"MD101",
"MD102",
"ME101",
"ME102",
"MI101",
"MI110",
"MI111",
"MI112",
"MI113",
"MI114",
"MI115",
"MI116",
"MI117",
"MI118",
"MI119",
"MI120",
"MI121",
"MI122",
"MI123",
"MI124",
"MI125",
"MI126",
"MI127",
"MI128",
"MI129",
"MI130",
"MI131",
"MI132",
"MN102",
"MN103",
"MO101",
"MO102",
"MO103",
"MS101",
"MT101",
"NC101",
"NC102",
"NC103",
"ND101",
"ND104",
"ND105",
"NE101",
"NE103",
"NJ101",
"NJ102",
"NM101",
"NM102",
"NY101",
"NY102",
"NY103",
"NY105",
"NY106",
"NY107",
"NY108",
"OH101",
"OK101",
"OK102",
"OR101",
"PA103",
"PA112",
"PA113",
"PA114",
"PR101",
"PR101SP",
"RI101",
"SC101",
"UT101",
"VA101",
"VA102",
"VT101",
"WI101",
"WI102",
"WI103",
"WI107",
"WV101",
"WV102",
"WV103",
"TD1",
"TD1FR",
"TD1AB",
"TD1ABFR",
"TD1BC",
"TD1BCFR",
"TD1MB",
"TD1MBFR",
"TD1NB",
"TD1NBFR",
"TD1NL",
"TD1NLFR",
"TD1NS",
"TD1NSFR",
"TD1NT",
"TD1NTFR",
"TD1NU",
"TD1NUFR",
"TD1ON",
"TD1ONFR",
"TD1PE",
"TD1PEFR",
"TD1SK",
"TD1SKFR",
"TD1X",
"TD1XFR",
"TD1YT",
"TD1YTFR",
"TP1015",
"TP1015FR",
"TP1015X",
"TP1015XFR",
"TP1016",
"TP1016FR",
"T1213",
"T1213FR"
]This response has no body data.{
"path": "<string>",
"status": "<string>",
"statusCode": 123,
"timestamp": "2023-11-07T05:31:56Z",
"errors": [
{
"field": "<string>",
"message": "<string>",
"rejectedValue": "<string>"
}
],
"errorCount": 123
}This response has no body data.{
"path": "<string>",
"status": "<string>",
"statusCode": 123,
"timestamp": "2023-11-07T05:31:56Z",
"errors": [
{
"field": "<string>",
"message": "<string>",
"rejectedValue": "<string>"
}
],
"errorCount": 123
}Return all form ids currently supported by SPF.
GET
/
getAllFormIds
Return all form ids
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
Form IDs - Use the /getAllFormIds endpoint to get all withholding form IDs available
⌘I

